<?php
$title = 'Новая площадка';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $serf_on == 1) {
    echo '<div class="title">Новая площадка</div>';
    if (isset($_POST['submit'])) {
        $stmt = $connect->prepare("select count(*) from `link` where `url` = ?");
        $stmt->execute(array($_POST['url']));
        $num = $stmt->fetchColumn();
        $error = '';
        if (empty($_POST['url'])) {
            $error.= 'Введите URL!<br/>';
        }
        elseif (mb_strlen($_POST['url']) < 5) {
            $error.= 'Минимальная длина URL - 5!<br/>';
        }
        elseif (mb_strlen($_POST['url']) > 50) {
            $error.= 'Максимальная длина URL - 50 символов!<br/>';
        }
        elseif ($num > 0) {
            $error.= 'Площадка с данным URL уже есть в системе!<br/>';
        }
        elseif (!is_url($_POST['url'])) {
            $error.= 'URL введен не правильно!<br/>';
        }
        elseif (preg_match("#^https?://(.*?)/$#i", $_POST['url'])) {
            $error.= 'URL должен быть без слэша в конце!<br/>';
        }
        if (empty($_POST['name'])) {
            $error.= 'Введите название!<br/>';
        }
        elseif (mb_strlen($_POST['name']) < 5) {
            $error.= 'Минимальная длина названия - 5!<br/>';
        }
        elseif (mb_strlen($_POST['name']) > 50) {
            $error.= 'Максимальная длина названия - 50 символов!<br/>';
        }
        if (empty($_POST['cena'])) {
            $error.= 'Введите цену перехода!<br/>';
        }
        elseif ($_POST['cena'] < $link_min_cena) {
            $error.= 'Минимальная цена перехода - '.$link_min_cena.'!<br/>';
        }
        if (empty($_POST['col'])) {
            $error.= 'Введите количество переходов!<br/>';
        }
        elseif ($_POST['col'] < 10) {
            $error.= 'Минимальное количество переходов - 10!<br/>';
        }
        if ($user['money'] < $_POST['col'] * $_POST['cena'] && $adm_id != 1) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $col = val($_POST['col'], 1);
            $cena = val($_POST['cena'], 2);
            $sum = $col * $_POST['cena'];
            $stmt = $connect->prepare("insert into `link` set `time` = ?, `url` = ?, `name` = ?, `click` = ?, `cena` = ?, `uid` = ?");
            $stmt2 = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ? and `admin` != '1' limit 1");
            if ($stmt->execute(array(time(), $_POST['url'], $_POST['name'], $col, $cena, $user['id'])) && $stmt2->execute(array($sum, $user['id']))) {
                header('Location: /link');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="post">
    URL-адрес:<br/><input type="text" name="url" value="http://"><br/>
    Название:<br/><input type="text" name="name"><br/>
    Количество переходов:<br/><input type="text" name="col" value="10"><br/>
    Цена перехода:<br/><input type="text" name="cena"><br/>
    <input type="submit" name="submit" value="Создать площадку">
    </form></div>';
    echo '<div class="forlink"><a href="/link" class="links"><img src="/img/link.png" alt=""> Мои площадки</a></div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>