<?php
$title = 'Добавить товар';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($shop_on == 1) {
    echo '<div class="title">Добавить товар</div>';
    if (isset($_POST['submit'])) {
        $error = '';
        if ($user['rating'] < $shop_rating && $adm_id != 1) {
            $error.= 'Недостаточно рейтинга: нужно - '.$shop_rating.'!<br/>';
        } else {
            if (empty($_POST['name'])) {
                $error.= 'Введите название товара!<br/>';
            }
            elseif (mb_strlen($_POST['name']) < 5 or mb_strlen($_POST['name']) > 250) {
                $error.= 'Название должно содержать от 5 до 250 символов!<br/>';
            }
            if (empty($_POST['text'])) {
                $error.= 'Введите описание товара!<br/>';
            }
            elseif (mb_strlen($_POST['text']) < 10 or mb_strlen($_POST['text']) > 2500) {
                $error.= 'Описание должно содержать от 10 до 2500 символов!<br/>';
            }
            if (empty($_POST['cena'])) {
                $error.= 'Введите стоимость товара!<br/>';
            }
            elseif ($_POST['cena'] < 1) {
                $error.= 'Минимальная стоимость товара - 1!<br/>';
            }
            if ($_POST['uid'] != 0 && !user($_POST['uid'])) {
                $error.= 'Пользователь с таким ID не найден в системе!<br/>';
            }
            elseif ($_POST['uid'] == $user['id']) {
                $error.= 'Нельзя продавать самому себе!<br/>';
            }
            if (!file_exists($_FILES['filename']['tmp_name'])) {
                $error.= 'Вы не выбрали файл!<br/>';
            }
            elseif (!is_safeFile(['zip', 'rar', '7z'], $_FILES['filename']['name'])) {
                $error.= 'Неверный тип файла: разрешено загружать только ZIP/RAR/7Z!<br/>';
            }
            if ($_FILES['filename']['size'] > 1048576 * 25) {
                $error.= 'Максимальный размер файла - 25 Mb!<br/>';
            }
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $uqid = uniqid();
            $token = bin2hex(random_bytes(10));
            $num = random_int(11111, 99999);
            $files = $user['id']."_".$uqid."_".$token."_".$num."_".$_FILES['filename']['name'];
            $full_path = $_SERVER["DOCUMENT_ROOT"]."/files/shop/".$files;
            $uid = val($_POST['uid'], 1);
            $col = $uid == 0 ? val($_POST['col'], 1) : 1;
            $cena = val($_POST['cena'], 2);
            $limit = $col == 0 ? 0 : 1;
            $status = $adm_id == 1 ? 1 : 0; // Товары админа проходят без модерации
            $stmt = $connect->prepare("insert into `shop` set `time` = ?, `user` = ?, `name` = ?, `text` = ?, `cena` = ?, `file` = ?, `col` = ?, `limit` = ?, `uid` = ?, `status` = ?");
            if ($stmt->execute(array(time(), $user['login'], $_POST['name'], $_POST['text'], $cena, $files, $col, $limit, $uid, $status)) && move_uploaded_file($_FILES['filename']['tmp_name'], $full_path)) {
                chmod($full_path, 0444);
                $lid = $connect->LastInsertId();
                header('Location: /shop/product/'.$lid);
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="post" enctype="multipart/form-data">
    Название товара:<br/><input type="text" name="name"><br/>
    Описание товара:<br/><textarea name="text" rows="3" cols="20"></textarea><br/>
    Стоимость товара:<br/><input type="text" name="cena"><br/>
    Файл:<br/><input type="file" name="filename"><br/>
    Количество копий (0 - без ограничений):<br/><input type="text" name="col" value="0"><br/>
    ID покупателя (0 - доступен всем):<br/><input type="text" name="uid" value="0"><br/>
    <input type="submit" name="submit" value="Добавить товар">
    </form></div>';
    if ($version == 'mobile') echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt=""> Магазин скриптов</a></div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>